//
// BookInfo Bean Class:  Transfers application server data
// containing book creation information.
//

public class BookInfo {

	// Class variables
	String ISBN = "", title = "", author = "", qty = "",
		price = "", year = "";
	boolean accessed = false;


	// Standard Input Functions
	public void setISBN( String value ) {
		if (value != null)
			ISBN = value;
	}

	public void setTitle( String value ) {
		if (value != null)
			title = value;
	}

	public void setAuthor( String value ) {
		if (value != null)
			author = value;
	}

	public void setQty( String value ) {
		if (value != null)
			qty = value;
	}

	public void setPrice( String value ) {
		if (value != null)
			price = value;
	}

	public void setYear( String value ) {
		if (value != null)
			year = value;
	}

	public void setRetry( boolean value ) {
		accessed = value;
	}


	// Standard Output Functions
	public String getISBN() {
		return ISBN;
	}

	public String getTitle() {
		return title;
	}

	public String getAuthor() {
		return author;
	}

	public String getQty() {
		return qty;
	}

	public String getPrice() {
		return price;
	}

	public String getYear() {
		return year;
	}

	// returns false only on first access of form
	public boolean Retry() {
		return accessed;
	}
} // BookInfo